Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6021)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6022)
@@ -41,5 +41,4 @@
     IWAeUPXMLImporter, IWAeUPXMLExporter, IBatchProcessor)
 from waeup.sirp.university.catalog import search
-from waeup.sirp.widgets.interfaces import ITableProvider
 from waeup.sirp.university.vocabularies import course_levels
 
@@ -1104,14 +1103,4 @@
         tabs.need()
         datatable.need() 
-        #if 'delcourse' in self.request.form:
-        #    code = self.request.form['code']
-        #    del self.context.courses[code]
-        #if 'delcert' in self.request.form:
-        #    code = self.request.form['code']
-        #    del self.context.certificates[code]
-        #self.tables = ITableProvider(self.context).getTables(view=self)
-        #self.coursetable = self.tables[0]
-        #self.certificatetable = self.tables[1]
-        #self.coursetable.need()
         super(DepartmentPage, self).update()
         return
@@ -1168,8 +1157,4 @@
         tabs.need()
         datatable.need() 
-    #    self.tables = ITableProvider(self.context).getTables(view=self)
-    #    self.coursetable = self.tables[0]
-    #    self.certificatetable = self.tables[1]
-    #    self.coursetable.need()
         super(DepartmentManageFormPage, self).update()
         return
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/tables.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/tables.py	(revision 6021)
+++ 	(revision )
@@ -1,105 +1,0 @@
-"""Datatables and related components used in different contexts.
-
-The tables defined here are javascript-powered output. In contrast to
-regular HTML tables they allow client-side sorting and batching of
-results.
-"""
-import grok
-from zope.security.management import checkPermission
-from waeup.sirp.browser.interfaces import (
-    IFacultyContainer, IFaculty, IDepartment, ICourseContainer)
-from waeup.sirp.tables import CodeAndTitleTableProvider, Col, Table
-from waeup.sirp.widgets.interfaces import ITableProvider
-
-#class DepartmentTableProvider(CodeAndTitleTableProvider):
-#    grok.context(IFaculty)
-#    grok.provides(ITableProvider)
-#    title = 'Departments'
-
-#class FacultyTableProvider(CodeAndTitleTableProvider):
-#    grok.context(IFacultyContainer)
-#    grok.provides(ITableProvider)
-#    title = 'Faculties'
-
-class CourseTableProvider(CodeAndTitleTableProvider):
-    grok.context(IDepartment)
-    grok.provides(ITableProvider)
-    title = 'Courses'
-
-    def prepare(self):
-        self.data_source = self.context.courses
-        
-    def getTables(self, view=None):
-        data = self.data_source
-        context_url = ''
-        if view:
-            context_url = view.url(self.context) + '/'
-
-        # Create a courses table...
-        cols = (
-            Col(
-                header='Code', sortable=True,
-                data = tuple([self.getItemURL(view, data[x].code)
-                              for x in data])),
-            Col(
-                header='Title', sortable=True,
-                data = tuple([data[x].title for x in data])),
-            )
-        delcol = Col(header='&nbsp;', sortable=False,
-                     data = [
-                '<input type="checkbox" name="val_id" value="%s" />' 
-                % (data[x].code) for x in data])
-
-        if checkPermission('waeup.manageUniversity', self.context.courses):
-            cols = list(cols)
-            cols = [delcol] + cols
-            cols = tuple(cols)
-        self.coursetable = Table('Courses', cols=cols)
-
-        # Create a certificates table...
-        self.data_source = self.context.certificates
-        data = self.data_source
-        certcols =(
-            Col(
-                header='Code', sortable=True,
-                data = tuple([self.getItemURL(view, data[x].code)
-                              for x in data])),
-            Col(
-                header='Title', sortable=True,
-                data = tuple([data[x].title for x in data])),
-            )
-
-        delcol = Col(header='&nbsp;', sortable=False,
-                     data = [
-                '<input type="checkbox" name="val_id" value="%s" />' 
-                % (data[x].code) for x in data])
-
-        if checkPermission('waeup.manageUniversity', self.context.certificates):
-            certcols = list(certcols)
-            certcols = [delcol] + certcols
-            certcols = tuple(certcols)
-
-        self.certtable = Table('Certificates', cols=certcols)
-        return (self.coursetable, self.certtable)
-
-#class CourseContainerCourseTableProvider(CodeAndTitleTableProvider):
-#    grok.context(ICourseContainer)
-#    grok.provides(ITableProvider)
-#    title = 'Courses'
-
-#    def getTables(self, view=None):
-#        data = self.data_source
-#        context_url = ''
-#        if view:
-#            context_url = view.url(self.context) + '/'
-#        cols = (
-#            Col(
-#                header='Code', sortable=True,
-#                data = tuple([self.getItemURL(view, data[x].code)
-#                              for x in data])),
-#            Col(
-#                header='Title', sortable=True,
-#                data = tuple([data[x].title for x in data])),
-#            )
-#        self.table = Table(self.title, cols=cols)
-#        return (self.table,)
